Ipopt 3.12.10

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Private Attributes | List of all members
Ipopt::TimedTask Class Reference

This class is used to collect timing information for a particular task. More...

`#include <IpTimedTask.hpp>`

## Public Member Functions
void | Reset ()
| Method for resetting time to zero. More...
void | Start ()
| Method that is called before execution of the task. More...
void | End ()
| Method that is called after execution of the task. More...
void | EndIfStarted ()
| Method that is called after execution of the task for which timing might have been started. More...
Number | TotalCpuTime () const
| Method returning total CPU time spend for task so far. More...
Number | TotalSysTime () const
| Method returning total system time spend for task so far. More...
Number | TotalWallclockTime () const
| Method returning total wall clock time spend for task so far. More...
Constructors/Destructors
| TimedTask ()
| Default constructor. More...
| ~TimedTask ()
| Default destructor. More...

## Private Member Functions
Default Compiler Generated Methods (Hidden to avoid
implicit creation/calling). These methods are not implemented and we do not want the compiler to implement them for us, so we declare them private and do not define them. This ensures that they will not be implicitly created/called.
| TimedTask (const TimedTask &)
| Copy Constructor. More...
void | operator= (const TimedTask &)
| Overloaded Equals Operator. More...

## Private Attributes
Number | start_cputime_
| CPU time at beginning of task. More...
Number | total_cputime_
| Total CPU time for task measured so far. More...
Number | start_systime_
| System time at beginning of task. More...
Number | total_systime_
| Total system time for task measured so far. More...
Number | start_walltime_
| Wall clock time at beginning of task. More...
Number | total_walltime_
| Total wall clock time for task measured so far. More...
fields for debugging
bool | start_called_
bool | end_called_

## Detailed Description

This class is used to collect timing information for a particular task.

Definition at line 18 of file IpTimedTask.hpp.

## Constructor & Destructor Documentation

Ipopt::TimedTask::TimedTask | ( |  | ) |
| inline

Default constructor.

Definition at line 24 of file IpTimedTask.hpp.

Ipopt::TimedTask::~TimedTask | ( |  | ) |
| inline

Default destructor.

Definition at line 34 of file IpTimedTask.hpp.

Ipopt::TimedTask::TimedTask | ( | const TimedTask & |  | ) |
| private

Copy Constructor.

## Member Function Documentation

void Ipopt::TimedTask::Reset | ( |  | ) |
| inline

Method for resetting time to zero.

Definition at line 39 of file IpTimedTask.hpp.

void Ipopt::TimedTask::Start | ( |  | ) |
| inline

Method that is called before execution of the task.

Definition at line 49 of file IpTimedTask.hpp.

void Ipopt::TimedTask::End | ( |  | ) |
| inline

Method that is called after execution of the task.

Definition at line 61 of file IpTimedTask.hpp.

void Ipopt::TimedTask::EndIfStarted | ( |  | ) |
| inline

Method that is called after execution of the task for which timing might have been started.

This only updates the timing if the timing has indeed been conducted. This is useful to stop timing after catching exceptions.

Definition at line 76 of file IpTimedTask.hpp.

Number Ipopt::TimedTask::TotalCpuTime | ( |  | ) | const
| inline

Method returning total CPU time spend for task so far.

Definition at line 89 of file IpTimedTask.hpp.

Number Ipopt::TimedTask::TotalSysTime | ( |  | ) | const
| inline

Method returning total system time spend for task so far.

Definition at line 96 of file IpTimedTask.hpp.

Number Ipopt::TimedTask::TotalWallclockTime | ( |  | ) | const
| inline

Method returning total wall clock time spend for task so far.

Definition at line 103 of file IpTimedTask.hpp.

void Ipopt::TimedTask::operator= | ( | const TimedTask & |  | ) |
| private

Overloaded Equals Operator.

## Member Data Documentation

Number Ipopt::TimedTask::start_cputime_
| private

CPU time at beginning of task.

Definition at line 125 of file IpTimedTask.hpp.

Number Ipopt::TimedTask::total_cputime_
| private

Total CPU time for task measured so far.

Definition at line 127 of file IpTimedTask.hpp.

Number Ipopt::TimedTask::start_systime_
| private

System time at beginning of task.

Definition at line 129 of file IpTimedTask.hpp.

Number Ipopt::TimedTask::total_systime_
| private

Total system time for task measured so far.

Definition at line 131 of file IpTimedTask.hpp.

Number Ipopt::TimedTask::start_walltime_
| private

Wall clock time at beginning of task.

Definition at line 133 of file IpTimedTask.hpp.

Number Ipopt::TimedTask::total_walltime_
| private

Total wall clock time for task measured so far.

Definition at line 135 of file IpTimedTask.hpp.

bool Ipopt::TimedTask::start_called_
| private

Definition at line 139 of file IpTimedTask.hpp.

bool Ipopt::TimedTask::end_called_
| private

Definition at line 140 of file IpTimedTask.hpp.

The documentation for this class was generated from the following file:

- src/Common/IpTimedTask.hpp